Bug 216938 - devel/upp: Update to 10804
Summary: devel/upp: Update to 10804
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-09 13:36 UTC by lightside
Modified: 2017-08-22 15:11 UTC (History)
1 user (show)

See Also:
m.sund: maintainer-feedback+


Attachments
Proposed patch (since 425758 revision) (7.68 KB, patch)
2017-02-09 13:36 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.68 KB, patch)
2017-02-09 14:25 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.68 KB, patch)
2017-02-09 14:29 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.87 KB, patch)
2017-02-11 15:04 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.86 KB, patch)
2017-02-11 15:49 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.89 KB, patch)
2017-02-12 14:55 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.96 KB, patch)
2017-02-16 18:01 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (7.95 KB, patch)
2017-02-16 18:29 UTC, lightside
no flags Details | Diff
Proposed patch (since 425758 revision) (8.05 KB, patch)
2017-02-16 21:01 UTC, lightside
m.sund: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.3 amd64) (17.48 KB, application/x-bzip2)
2017-05-20 09:32 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2017-02-09 13:36:56 UTC
Created attachment 179794 [details]
Proposed patch (since 425758 revision)

Patch to update devel/upp port from 9251 to 10804 version.

Look following link for changes:
http://www.ultimatepp.org/www$uppweb$Roadmap$en-us.html

- Add compiler:c++11-lib to USES
- Remove MAKE_JOBS_UNSAFE
- Adapt (sed) patches for building of theide and/or umk, with using the same shared output directories [*]
- Add SCD port's option for installation of spelling dictionaries (*.scd files)
- Add IDE and UMK port's options
- Add dependencies, which was found by stage-qa
- Add C++ compiler option to disable some warnings for Clang
- Adapt generated build methods
- Remove files/patch-uppsrc_Core_Core.h

[*, not for commit message] For example, in case of IDE=on and UMK=on, this allows to build umk as a side-effect of previous theide build (i.e. without the need to build the same shared dependencies):
- flagMT is on by default for 10804 version:
https://github.com/ultimatepp/mirror/blob/630b510c283f70819ee1ecc9b0c3194327755f37/uppsrc/Core/Core.h#L6
- flagGUI doesn't affect the building of theide/umk, because related U++ packages doesn't use it:
https://github.com/ultimatepp/mirror/search?q=flagGUI
- Usage of the same shared output directories

The build was tested for FreeBSD 10.3 amd64 (native and with using poudriere).
Comment 1 lightside 2017-02-09 14:25:10 UTC
Created attachment 179797 [details]
Proposed patch (since 425758 revision)

Cosmetic fixes.
Comment 2 lightside 2017-02-09 14:29:54 UTC
Created attachment 179799 [details]
Proposed patch (since 425758 revision)
Comment 3 lightside 2017-02-11 15:04:09 UTC
Created attachment 179876 [details]
Proposed patch (since 425758 revision)

- Add installation of man page(s) for theide and/or umk
Comment 4 lightside 2017-02-11 15:49:04 UTC
Created attachment 179877 [details]
Proposed patch (since 425758 revision)

Simplified some (sed) patches.
Comment 5 lightside 2017-02-12 14:55:12 UTC
Created attachment 179902 [details]
Proposed patch (since 425758 revision)

Use MANPREFIX variable for installation of man page(s), just in case.
Comment 6 lightside 2017-02-16 18:01:10 UTC
Created attachment 180055 [details]
Proposed patch (since 425758 revision)

Moved removal of uppsrc/build_info.h file to post-install stage, in case someone need to review build process.
Also added removal of uppsrc/*Makefile* files to post-install stage, because these files may be used for exported project(s), which based on uppsrc. This leads to the same files as in repository for uppsrc directory:
https://github.com/ultimatepp/mirror/tree/7cb18ea51740be33e2663cc22d00724dc2eccb17/uppsrc
Comment 7 lightside 2017-02-16 18:29:42 UTC
Created attachment 180056 [details]
Proposed patch (since 425758 revision)

(In reply to comment #6)
Possible to do the same on do-install stage.
Comment 8 lightside 2017-02-16 21:01:27 UTC
Created attachment 180059 [details]
Proposed patch (since 425758 revision)

Clarified some sed patches a bit, because of changes in next revision(s) for indentation of variables in exported Makefile(s):
https://github.com/ultimatepp/mirror/blob/9bd05d9492f547f3159ae530f87cd76b6fd1aced/uppsrc/ide/Builders/Build.cpp#L650-L651
Comment 9 lightside 2017-05-20 09:32:39 UTC
Created attachment 182754 [details]
The poudriere testport log (FreeBSD 10.3 amd64)

Attached archive with poudriere testport log for FreeBSD 10.3 amd64, just in case.

Is there interested committer?
Comment 10 commit-hook freebsd_committer 2017-08-22 12:39:49 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 22 12:38:55 UTC 2017
New revision: 448517
URL: https://svnweb.freebsd.org/changeset/ports/448517

Log:
  devel/upp: Update to 10804

  PR:		216938
  Submitted by:	lightside <lightside@gmx.com>
  Approved by:	m.sund@arcor.de (maintainer)

Changes:
  head/devel/upp/Makefile
  head/devel/upp/distinfo
  head/devel/upp/files/
Comment 11 Steve Wills freebsd_committer 2017-08-22 12:50:22 UTC
Committed, thanks!
Comment 12 lightside 2017-08-22 15:11:57 UTC
Comment on attachment 182754 [details]
The poudriere testport log (FreeBSD 10.3 amd64)

(In reply to comment #11)
Thanks for commit.